REM Batch to delete a single file, with meaningful exit status.
REM Can be used by other script to delete itself, by invoking without "call".
@echo off
echo off

if X%1 == X goto SUCCESS
if exist %1 del %1
if errorlevel 1 goto FAIL

:SUCCESS 
REM make sure we return a success status: 
cd > nul:
goto DONE 

:FAIL 
REM make sure we return a failure status: 
find "failed" < nul: 
goto DONE 

:DONE