/* generic compiler-driver spec for Turbo C 2.01 and Turbo C++ 1.0 and later
 */

/* private internal common string segments:
 */
#define CC_HEAD		"tcc|-ms|-d|-O|-G|-K|"
#define CC_TAIL		"[predefs][undefs][incdirs]-o[obj]|[src]"

/* the spec proper:
 */
#define OBJ_EXT		"obj"
#define EXE_EXT		"exe"
#define SLL_EXT		"lib"

#define C89_SPEC	CC_HEAD "-A|-c|" CC_TAIL
#define	C89X_SPEC	CC_HEAD    "-c|" CC_TAIL

#define CC_INCDIR1	"-I\v|"
#define CC_INCDIR	CC_INCDIR1
#define CC_PREDEF1	"-D\v|"
#define CC_PREDEF	CC_PREDEF1
#define CC_UNDEF1	"-U\v|"
#define CC_UNDEF	CC_UNDEF1

#define LNK_SPEC	CC_HEAD "[libdirs]-e[exe]|[objs]|[libs]"
#define LNK_LIBDIR1	"-L\v|"
#define LNK_LIBDIR	LNK_LIBDIR1

#define SLL_SPEC	"command.com|/c|bldr\\pcdos\\turboc\\lib.bat|[lib]|[objs]"

#define q_pathname	fq_pathname

#include <process.h>
#define runvp(arg0, av)	spawnvp(P_WAIT, arg0, av)
extern int directvideo = 0;

