@echo off
REM Create a static-link-library from a named set of object-files, using the
REM Digital Mars 8.x tools.

:main
if X"%1" == X"" exit /b 1
set lib=%1
if exist %lib% echo del %lib%
if exist %lib% del %lib% <nul
if errorlevel 1 exit /b 1
set opts=-c -n

:loop
if X"%2" == X"" exit /b 0
for %%o in (%2) do call :add1 %%o
if errorlevel 1 goto abort
shift
set opts=-n
goto loop

:add1 - subroutine to add a named object (arg2) to the specified lib (arg1)
if "%1" == "%lib%" return 0
echo lib %opts% %lib% %1
lib %opts% %lib% %1 || exit /b 1
set opts=-n
exit /b 0

:abort
if exist %lib% del %lib% < nul
exit /b 1
