/* generic compiler-driver spec for Digital Mars C 8.x and later
 */

/* private internal common string segments:
 */
#define CC_HEAD		"dmc|-3|-mn|-v0|-fd|-R|-Ns|-o+all|-w2|"
#define CC_TAIL		"[predefs][undefs][incdirs]-o[obj]|[src]"

/* the spec proper:
 */
#define OBJ_EXT		"obj"
#define EXE_EXT		"exe"
#define SLL_EXT		"lib"

#define C89_SPEC	CC_HEAD "-A|-c|" CC_TAIL
#define	C89X_SPEC	CC_HEAD     "-c|" CC_TAIL

#define CC_INCDIR1	"-I\v|"
#define CC_INCDIR	CC_INCDIR1
#define CC_PREDEF1	"-D\v|"
#define CC_PREDEF	CC_PREDEF1
#define CC_UNDEF1	"-U\v|"
#define CC_UNDEF	CC_UNDEF1

#define LNK_SPEC	CC_HEAD "-L/NOMAP|-L/SILENT|-o[exe]|[objs]|[libs]"
#undef LNK_LIBDIR1	/* no library-search-place flag available */
#undef LNK_LIBDIR	/* no library-search-place flag available */

#define SLL_SPEC	"bldr\\winnt\\digmars\\lib.cmd|[lib]|[objs]"

#define q_pathname	fq_pathname

#include <process.h>
#define runvp(arg0, av)	spawnvp(P_WAIT, arg0, av)

