/* generic compiler-driver spec for the lcc-win C compiler
 */

/* internal private shorthand for common string segments:
 */
#define CC_HEAD		"lc|-O|-p6=no|"
#define CC_TAIL		"[predefs][undefs][incdirs]|-Fo[obj]|[src]"

/* the spec proper:
 */
#define OBJ_EXT		"obj"
#define EXE_EXT		"exe"
#define SLL_EXT		"lib"

#define C89_SPEC	CC_HEAD "-ansic90|-c|" CC_TAIL
#define	C89X_SPEC	CC_HEAD "-ansic|-c|" CC_TAIL

#define CC_INCDIR1	"-I\v|"
#define CC_INCDIR	CC_INCDIR1
#define CC_PREDEF1	"-D\v|"
#define CC_PREDEF	CC_PREDEF1
#define CC_UNDEF1	"-U\v|"
#define CC_UNDEF	CC_UNDEF1

#define LNK_SPEC	CC_HEAD "[objs]|[libs]|-o [exe]"
#undef LNK_LIBDIR1
#undef LNK_LIBDIR

#define SLL_SPEC	"lcclib|/OUT:[lib]|[objs]"

#define q_pathname	fq_pathname	/* MSVC likes quoted pathnames */

#include <process.h>
#define runvp(arg0, av)	spawnvp(P_WAIT, arg0, av)
