@echo off
REM Create a static-link-library from a named set of object-files, using the
REM MinGW tools.
setlocal enabledelayedexpansion

:main
if X"%1" == X"" exit /b 1
set lib=%1
echo del %lib%
del %lib% 2>nul
if errorlevel 1 exit /b 1

set list=
:loop
if X"%2" == X"" goto doit
for %%o in (%2) do set list=!list! "%%o"
shift
goto loop

:doit
echo ar -rcs %lib% %list%
ar -rcs %lib% %list%
if errorlevel 1 goto abort
exit /b 0

:abort
if exist %lib% del %lib% < nul
exit /b 1
