@echo off
REM Create a static-link-library from a named set of object-files, using the
REM Turbo C/C++ tools.
REM Strict MSDOS-2.0-only syntax here, please.

set opts=/C

:main
if X"%1" == X"" goto abort
set lib=%1
if exist %lib% echo del %lib%
if exist %lib% del %lib%
if errorlevel 1 goto abort
tlib %opts% %lib%
if errorlevel 1 goto abort

:loop
@echo off
if X"%2" == X"" goto success
@echo on
for %%o in (%2) do tlib %opts% %lib% +%%o | echo
@echo off
shift
goto loop

:abort
if exist %lib% del %lib% < nul
REM ensure errorlevel is set greater than zero:
find "failed" <nul:
goto done

:success
REM ensure errorlevel is set equal to zero:
cd >nul:

:done
