/* generic compiler-driver spec for Microsoft Visual-C++ 2005-2017 etc
 */

/* internal private shorthand for common string segments:
 */
#define CC_HEAD		"cl|/nologo|/fp:precise|/O2|/Oy|"
#define CC_TAIL		"[predefs][undefs][incdirs]/Fo[obj]|[src]"

/* the spec proper:
 */
#define OBJ_EXT		"obj"
#define EXE_EXT		"exe"
#define SLL_EXT		"lib"

#define C89_SPEC	CC_HEAD "/Za|/c|" CC_TAIL
#define	C89X_SPEC	CC_HEAD     "/c|" CC_TAIL

#define CC_INCDIR1	"/I\v|"
#define CC_INCDIR	CC_INCDIR1
#define CC_PREDEF1	"/D\v|"
#define CC_PREDEF	CC_PREDEF1
#define CC_UNDEF1	"/U\v|"
#define CC_UNDEF	CC_UNDEF1

#define LNK_SPEC	CC_HEAD "/Fe[exe]|[objs]|[libs]|[libdirs]"
#define LNK_LIBDIR1	"/link|/LIBPATH:\v|"
#define LNK_LIBDIR	"/LIBPATH:\v|"

#define SLL_SPEC	"lib|/nologo|/OUT:[lib]|[objs]"

#define q_pathname	fq_pathname	/* MSVC likes quoted pathnames */

#include <process.h>
#define runvp(arg0, av)	_spawnvp(_P_WAIT, arg0, av)
