/* generic compiler-driver spec for Microsoft Visual-C++ 2005-2010 etc
 */

/* internal private shorthand for common string segments:
 */
#define CC_HEAD		"cc|/fp:precise|/Ot|/x|/W0|/Tx86-coff|"
#define CC_TAIL		"[predefs][undefs][incdirs]/Fo[obj]|[src]"

/* the spec proper:
 */
#define OBJ_EXT		"obj"
#define EXE_EXT		"exe"
#define SLL_EXT		"lib"

#define C89_SPEC	CC_HEAD "/std:C99|/c|" CC_TAIL
#define	C89X_SPEC	CC_HEAD "/std:C99|/c|" CC_TAIL

#define CC_INCDIR1	"/I\v|"
#define CC_INCDIR	CC_INCDIR1
#define CC_PREDEF1	"/D\v|"
#define CC_PREDEF	CC_PREDEF1
#define CC_UNDEF1	"/U\v|"
#define CC_UNDEF	CC_UNDEF1

#define LNK_SPEC	CC_HEAD "/Fe[exe]|[objs][libdirs]|[libs]"
#define LNK_LIBDIR1	"/LIBPATH:\v|"
#define LNK_LIBDIR	LNK_LIBDIR1

#define SLL_SPEC	"polib|[objs]|/OUT:[lib]"

#define q_pathname	fq_pathname	/* MSVC likes quoted pathnames */

#include <process.h>
#define runvp(arg0, av)	_spawnvp(_P_WAIT, arg0, av)
