/* generic compiler-driver spec for Watcom C 10.0 and later (incl. OpenWatcom)
 */

/* private internal shorthand for common strings segments:
 */
#define CC_HEAD		"wcl386|-q|-ecw|-ei|-s|-zro|-bt=nt|-5|-fp3|-fpi|-olimber|"
#define CC_TAIL		"[predefs][undefs][incdirs]|/Fo[obj]|[src]"

/* the spec proper:
 */
#define OBJ_EXT		"obj"
#define EXE_EXT		"exe"
#define SLL_EXT		"lib"

#define C89_SPEC	CC_HEAD "-za|-c|" CC_TAIL
#define	C89X_SPEC	CC_HEAD     "-c|" CC_TAIL

#define CC_INCDIR1	"/i=\v"
#define CC_INCDIR	";\v"
#define CC_PREDEF1	"/d\v|"
#define CC_PREDEF	CC_PREDEF1
#define CC_UNDEF1	"/u\v|"
#define CC_UNDEF	CC_UNDEF1

#define LNK_SPEC	CC_HEAD "[libdirs]/fe=[exe]|[objs]|[libs]"
#define LNK_LIBDIR1	"-\"libp \v\"|"
#define LNK_LIBDIR	LNK_LIBDIR1

#define SLL_SPEC	"bldr\\winnt\\watcom\\lib.cmd|[lib]|[objs]"

#define q_pathname	nq_pathname

#include <process.h>
#define runvp(arg0, av)	spawnvp(P_WAIT, arg0, av)

