@echo off
set _O=.obj
set _L=.lib
set _X=.exe

set OBJECT=try1%_O%
set FULL=lnkchk1%_X%
set SLIM=lnkchk2%_X%
set LIBRARY=mjsu_w32%_L%

if exist %FULL% del /f/q %FULL%
if exist %SLIM% del /f/q %SLIM%

..\bld c89x -i. -i.. -i. -o try1%_O% lnkchk.c
if errorlevel 1 goto FAIL
..\bld link -l. -l.. -l. -o %FULL% try1%_O% %LIBRARY%
if errorlevel 1 goto FAIL

..\bld c89x -dNOTALL -i. -i.. -i. -o try2%_O% lnkchk.c
if errorlevel 1 goto FAIL
..\bld link -l. -l.. -l. -o %SLIM% try2%_O% %LIBRARY%
if errorlevel 1 goto FAIL
goto DONE

:FAIL
if exist try1%_O% del /f/q try1%_O%
if exist try2%_O% del /f/q try2%_O%
if exist %FULL% del /f/q %FULL%
if exist %SLIM% del /f/q %SLIM%
exit /b 1

:DONE
if exist try1%_O% del /f/q try1%_O%
if exist try2%_O% del /f/q try2%_O%
